combinelnLerrors <- function(r){ # r is vector of parameter-sets
      L <- length(r)
      a <- rep(0,L)
      thisclass <- class(r[[1]]) # all should be of the same class but this is not checked

      fff <- function(u,target){# returns profiled Delta ln liklelihood +0.5  so zero at +- errors  
         olda <- rep(0,L)
         for(jjj in 1:NTRY){
                   w <- rep(0,L)
                   for(i in 1:L) w[i] <- weightlnLerror(r[[i]],a[i])
                   a <- u*w/sum(w)
                   if(max(abs(a-olda))<SMALL) break
                   olda <- a
                   }
         v <- rep(0,L)
         for(i in 1:L) v[i] <- lnL(r[[i]],r[[i]]['val']+a[i])
         return(sum(v)-target)
         }

      for(delta in c(.1,-.1)){ # search for both upper and lower error points. delta is step size
              target <- fff(0,0)-.5
              u <- -delta
              v <- 0.5
              icount <- 0
              while(v> 0){ # plod on till line crossed
                 oldv <- v
                 oldu <- u
                 u <- u+delta*2^icount
                 v <- fff(u,target)
                 if(v>oldv) { warning("likelihood turnover problem?")
                              return(NULL)
                             }
                 icount=icount+1
                 }             
    
              uu <- uniroot(fff,c(oldu,u),target) # solution bracketed so call uniroot
              if(delta>0) sp <- uu$root else sm <- -uu$root
              }
      return(getlnLpars(c(val=0,sp=sp,sm=sm),thisclass))
      }
