combinelnLresults.default <-
function(r){
      f <- function(a){
         rr=0
         for (m in r){
              rr=rr+as.numeric(lnL(m,a))
              }
         return(as.numeric(rr))
         }
      lo=min(sapply(r,'[','val'))
      hi=max(sapply(r,'[','val'))
      if(hi-lo < SMALL) {hi=hi+0.1; lo=lo-0.1} # in case all the same
      oo=optimize(f,c(lo,hi),maximum=TRUE)
      val=oo$maximum
      fval=oo$objective
      g <- function(a) {return(f(a)-fval+0.5)}
      hihi=hi+max(sapply(r,'[','sp'))
      if(g(hihi)>0) { 
           warning("unable to find positive error, probably due to crazy cubic")
           u1=NA} else u1=uniroot(g,c(val,hihi))$root
      lolo=lo-max(sapply(r,'[','sm'))
      while(is.nan(f(lolo))) lolo=lolo+.1  # guard against silly values
      u2=uniroot(g,c(lolo,val))$root
      fitted=getlnLpars(c(val=val,sp=u1-val,sm=val-u2,chisq=-2*fval,ndf=length(r)-1),class(r[[1]]))
      return(fitted)
      }
