combinelnLresults.linearsigma <-
function(r){
      v=sapply(r,'[','val')
      s=sapply(r,'[','s')
      p=sapply(r,'[','sprime')
      lo=min(sapply(r,'[','val'))
      hi=max(sapply(r,'[','val'))
      guess=mean(v)
      for(i in 1:100){
         old=guess
         w=s/(s+p*(guess-v))^3
         guess=sum(w*v)/sum(w)
         if(abs(old-guess)<SMALL) break
         }
      if(i>= 100) stop("too many iterations in combinelnLresults.linearsigma")
      fval=-.5*sum(((guess-v)/(s+p*(guess-v)))^2 )
      g <- function(a) {return(0.5-fval-.5*sum(((a-v)/(s+p*(a-v)))^2))}
      u1=uniroot(g,c(guess,max(v)+max(sapply(r,'[','sp'))))$root
      lolo=lo-max(sapply(r,'[','sm'))
      u2=uniroot(g,c(lolo,guess))$root
      fitted=getlnLpars(c(val=guess,sp=u1-guess,sm=guess-u2,chisq=-2*fval,ndf=length(v)-1),class(r[[1]]))
      return(fitted)
}
