combinelnLresults.linearvariance <-
function(r){
      v=sapply(r,'[','val')
      V=sapply(r,'[','V')
      p=sapply(r,'[','Vprime')
      lo=min(sapply(r,'[','val'))
      hi=max(sapply(r,'[','val'))
      guess=mean(v)
      for(i in 1:100){
         old=guess
         w=V/(V+p*(guess-v))^2
         guess=sum(w*(v-.5*p*(guess-v)^2/V))/sum(w)
         if(abs(old-guess)<SMALL) break
         }
      if(i>= 100) stop("too many iterations in combinelnLresults.linearvariance")
      fval=-.5*sum(((guess-v)^2/(V+p*(guess-v))) )
      g <- function(a) {return(0.5-fval-.5*sum(((a-v)^2/(V+p*(a-v)))))}
      hihi=hi+max(sapply(r,'[','sp'))
      ccc=v-V/p -SMALL# limits to avoid NANs
      ccc=ccc[p<0]
      hihi=min(hihi,ccc)
      u1=uniroot(g,c(guess,hihi))$root
      lolo=lo-max(sapply(r,'[','sm'))
      ccc=v-V/p +SMALL# limits
      ccc=ccc[p>0]
      lolo=max(lolo,ccc)
      u2=uniroot(g,c(lolo,guess))$root
      fitted=getlnLpars(c(val=guess,sp=u1-guess,sm=guess-u2,chisq=-2*fval,ndf=length(v)-1),class(r[[1]]))
      return(fitted)
}
