getPdfpars.dimidiated <-
function(p,model=0){  # model is to keep the package check happy, and is not used
    if(!is.na(p['V'])){
    V=p['V']
    mu=p['mu']
    gamma=p['gamma']
    D=cardano(2.5/pi-1,0,3*V,-gamma*sqrt(2*pi))
    if(length(D)>0) D <- D[which.min(abs(D))] # if cubic has 3 roots take nearest to zero
    S=2*V+D**2/pi
    if((2*S-D^2)<0) {warning("asymmetry too large for dimidiated model"); return(NULL)}
    ss=sqrt(2*S-D^2)
    r=c(p,M=as.numeric(mu-D/sqrt(2*pi)),sp=as.numeric(ss+D)/2,sm=as.numeric(ss-D)/2)
    } else {
    M=as.numeric(p['M'])
    sp=as.numeric(p['sp'])
    sm=as.numeric(p['sm'])
    r=c(p,mu= M+(sp-sm)/sqrt(2*pi) ,V= (sp**2+sm**2)/2 -.5*(sp-sm)**2/pi ,gamma=(2*(sp**3-sm**3)-1.5*(sp-sm)*(sp**2+sm**2)+(sp-sm)**3/pi)/sqrt(2*pi))
    }
  class(r) <- 'dimidiated'
  return(r)
 }
