getPdfpars.distorted <-
function(p,model=0){
if(!is.na(p['V'])){ mu=as.numeric(p['mu']); V <- as.numeric(p['V']); gamma=as.numeric(p['gamma']) # get from moments
 b=0
 for (i in 1:NTRY){
     old=b
     b=gamma/(6*V-4*b^2)
     if(abs(old-b)<SMALL) break
     }
  if(i>NTRY) readline("asymm error 2")
  a=sqrt(V-2*b^2)
  ans <- c(p, M=mu-b,sp=a+b,sm=a-b,a=a,b=b)
} else{ # get from quantiles
  M=p['M']
  sp=p['sp']
  sm=p['sm']
ans=c(p,mu= as.numeric(M+(sp-sm)/2) ,V= as.numeric((sp+sm)^2/4 +(sp-sm)**2/2) ,
gamma=as.numeric((sp-sm)*((sp+sm)^2*3/4 + (sp-sm)**2)),M=as.numeric(M),
a=as.numeric(sp+sm)/2,b=as.numeric(sp-sm)/2)
}
class(ans) <- 'distorted'
return(ans)
}
