getlnLpars.constrainedquartic <-
function(p,model=0) {sm=p['sm']; sp=p['sp'];  
       root1=4*sp*sm^3+4*sm*sp^3-2*sm^4-2*sp^4
       if(root1<0) return(0) # stop("negative root in constrained quartic")
       beta=sqrt((12*(sp+sm)^2 - 24*sqrt(root1))/(3*sm^2+2*sm*sp+3*sp^2))/(sp*sm)
       ap1=-beta*sp/3+sqrt(72-2*beta^2*sp^4)/(6*sp)
       ap2=-beta*sp/3-sqrt(72-2*beta^2*sp^4)/(6*sp)
       am1= beta*sm/3+sqrt(72-2*beta^2*sm^4)/(6*sm)
       am2= beta*sm/3-sqrt(72-2*beta^2*sm^4)/(6*sm)
       best1=min(abs(ap1-am1),abs(ap1-am2))
       best2=min(abs(ap2-am1),abs(ap2-am2))
       if(best1<best2) alpha=ap1 else alpha=ap2 
       r=c(p,alpha=as.numeric(alpha), beta=as.numeric(beta))
       class(r) <- "constrainedquartic"; 
       return(r)}
