getlnLpars.poisson <-
function(p,model=0){
       if(p['sp']>p['sm']){ s1=p['sp'];  s2=p['sm'] } else {s1=p['sm']; s2=p['sp']}
         f <- function(gamma){
           return((1-gamma*s2)/(1+gamma*s1)-exp(-gamma*(s2+s1)))}
        lo=0
        flo=f(lo)
        hi=1/p['sm']
        fhi=f(hi)
        for(ii in 1:10){ #uniroot needs some help to get started
         mid=(hi+lo)/2
         fmid=f(mid)
         if(fmid*fhi <0) {lo=mid;flo=fmid} else {hi=mid; fhi=fmid}
        }
        u=uniroot(f,c(lo,hi))
        gamma=u$root
       if(p['sp']<p['sm']) gamma=-gamma
       nu=as.numeric(.5/(gamma*p['sp']-log(1+gamma*p['sp'])))
       r=c(p,nu=nu,alpha=nu*gamma)  
       class(r) <- "poisson"
       return(r)}
