weightlnLerror.azzalini <-
function(p,a) {
  alpha <- p['alpha']
  omega <- p['omega']
  xi <- p['xi']
  z <- (a-xi)/omega
  dif2=-1/omega^2-xi^2*(1+alpha^2)/omega^4 # second differential at the peak
  w <-  -a/(-z/omega + (alpha/omega)*(dnorm(alpha*z)/pnorm(alpha*z)))
  w[abs(a) < 0.1*omega] <-  -1/dif2  # avoid 0/0 glitch
  return(w)
}
