\name{Title}
\alias{Title}
\title{ Model name}
\description{ Give the name of a model in printable format }
\usage{ Title(p) }
\arguments{
  \item{p}{ A parameter set belonging to one of the models (can be Pdf or lnL) }
}
\value{ A character string. Useful for printing and plotting. }
\references{ Barlow, Brazzale and Volobouev: Asymmetric Errors, arXiv ????, submitted to ????}
\author{ Roger Barlow }


\examples{
   p=getPdfpars(c(M=4,sp=1.2,sm=1.3),"azzalini") 
   print(Title(p)) # Prints "Azzalini Skew")
}
