\name{cardano}
\alias{cardano}
\title{ Cardano's formula}
\description{ Give the solution(s) of a cubic equation }
\usage{ cardano(a,b,c,d) }
\arguments{
  \item{a,b,c,d}{ coefficients in the equation ax^3+bx^2+cx+d=0 }
}
\value{ A vector of roots, which may have length 1 or 3 }
\references{ Barlow, Brazzale and Volobouev: Asymmetric Errors, arXiv ????, submitted to ????}
\author{ Roger Barlow }


\examples{
   x <- cardano(2.1,3.2,4.5,5.6)
   if(length(x)==1) print("One solution") else print("three solutions")
   print(x)
}
