\name{weightlnLerror}
\alias{weightlnLerror}
\title{ Weight for combination of errors using likelihood }
\description{ Evaluate the weight function - a (d lnL/da) ^-1  according to a parameterised model }
\usage{ weightlnLerror(p,a) }
\arguments{
  \item{p}{ named vector of parameters, as returned by \code{getlnLpars} }
  \item{a}{ numeric vector of values at which the likelihood is to be evaluated }
}
\value{ A vector of weights, of the same length as \code{a}.   }
\references{ Barlow, Brazzale and Volobouev: Asymmetric Errors, arXiv ????, submitted to ????}
\author{ Roger Barlow }

\note{ This function is not needed by the user.  It is invoked through \code{combinelnLerrors}}
