getlnLpars.azzalini <-
function(p,model=0){
      peak=as.numeric(p['val'])
      sp=as.numeric(p['sp'])
      sm=as.numeric(p['sm'])
      A=(sp-sm)/(sp+sm)
      a=abs(A)
      f1 <- function(x,alpha) {return(x*pnorm(alpha*x)-alpha*dnorm(alpha*x))}
      f2 <- function(x,alpha){ return(-x^2/2+log(pnorm(alpha*x))-L0+.5)}
      f3 <- function(x,alpha,omega) {return(x*pnorm(alpha*x/omega)-alpha*omega*dnorm(alpha*x/omega))}
      f4 <- function(x,alpha,omega){ return(-(x/omega)^2/2+log(pnorm(alpha*x/omega))-L0+.5)}
      seekasym <- function(alpha,a){
         x0=uniroot(f1,c(-1,1),alpha)$root
         L0 <<- -x0^2/2+log(pnorm(alpha*x0))
         xp=uniroot(f2,x0+c(0,3),alpha)$root
         xm=uniroot(f2,x0+c(-3,0),alpha)$root
         asym=(xp+xm-2*x0)/(xp-xm)
         return(asym-a)
         }
      alpha=uniroot(seekasym,c(0,10),a)$root
      alpha=alpha*sign(A)
      x0=uniroot(f1,c(-1,1),alpha)$root
      seekwidth <- function(omega,alpha,w){
         x0=uniroot(f3,c(-omega,omega),alpha,omega)$root
         L0 <<- -(x0/omega)^2/2+log(pnorm(alpha*x0/omega))
         xp=uniroot(f4,x0+c(0,omega),alpha,omega)$root
         xm=uniroot(f4,x0+c(-omega,0),alpha,omega)$root
         wid=xp-xm
         return(wid-w)
         }
      omega=uniroot(seekwidth,(sp+sm)*c(.25,1.5),alpha,sp+sm)$root
      x0=uniroot(f3,c(-omega,omega),alpha,omega)$root
      xi=peak-x0
      zero=-.5*(x0/omega)^2+log(pnorm(alpha*x0/omega))
      r <- c(p,xi=xi,omega=omega,alpha=alpha,zero=zero)
      class(r) <- "azzalini"
      return(r)
}
