getlnLpars.edgeworth <-
function(p,model=0){
       alpha=0
       sp=p['sp']
       sm=p['sm']
      A=(sp-sm)/(sp+sm)
      a=as.numeric(abs(A))
      seekasym <- function(alpha,a){
         if(alpha==0) return(-a) # special case
         f1 <- function(x,alpha){return(-.5*x^2 + log(1+alpha*(x^3-3*x)))}
         f2 <- function(x,alpha){return(-.5*x^2 + log(1+alpha*(x^3-3*x))-zero)}
         f3 <- function(x,alpha){return(-.5*x^2 + log(1+alpha*(x^3-3*x))-zero+.5)}
         pp=Re(polyroot(c(1/alpha,-3,0,1)))
         pp=polyroot(c(3*alpha,1,-6*alpha,0,alpha))
         pp=pp[abs(Im(pp))<SMALL] # just real roots
         pp=Re(pp)
         qq=1+alpha*(pp^3-3*pp)
         second=-1 +6*alpha/qq -alpha^2*9*(pp^2-1)^2/qq^2
         pp=pp[Re(second)<0] # select maxima
         pp=pp[1+alpha*(pp^3-3*pp)>0] # select real values
         locmax <<- pp[which.max(f1(pp,alpha))]  # if choice of maxima, choose largest
         zero <<- f1(locmax,alpha)
         del=0.1
         hi <<- locmax
         while(f3(hi,alpha)>0){
             while(1+alpha*((hi+del)^3-3*(hi+del))<0) del=del/2  
             hi <<- hi+del
             }
         oldhi=hi 
         u=uniroot(f3,c(locmax,hi),alpha)
         hi <<-  u$root
         lo <<- locmax
         del=0.1
         while(f3(lo,alpha)>0){
             while(1+alpha*((lo-del)^3-3*(lo-del))<0) del=del/2  
             lo <<- lo-del
             }
         oldlo=lo
         u=uniroot(f3,c(lo,locmax),alpha)
         lo <<- u$root
         asym=(hi+lo-2*locmax)/(hi-lo)
         return(asym-a)
         }
      
      if(seekasym(0,a)*seekasym(5,a) >0 ) {
              warning("AsymmetricErrors: asymmetry too large for Edgeworth")
              return(NULL)
              }
          
      u=uniroot(seekasym,c(0,5),a)
      alpha=u$root
      hi <<- 0
      lo <<- 0
      locmax <<- 0
      zero <<- 0
      seekasym(alpha,a) # to get hi and lo
       alpha=as.numeric(alpha*sign(A))
      sigma=as.numeric((sp+sm)/(hi-lo))
       r=c(p,sigma=sigma,alpha=alpha,x0=as.numeric(p['val'])-sign(alpha)*locmax*sigma,zero=zero)
       for(aa in seq(.1,8,.1)){
             zz=(aa-locmax*sigma)/sigma
             }
       class(r) <- "edgeworth"
       return(r)
}
