getlnLpars.seventh <-
function(p,model=0) {
       sm <- as.numeric(p['sm'])
       sp <- as.numeric(p['sp'])  
       eta     <- sp^2*sm^2*(sm+sp)^4
       alpha   <- 6*(sm-sp)/eta
       beta    <- 15*(sm-sp)^2/eta
       gamma   <- 10*(sm-sp)*(sm^2-4*sm*sp+sp^2)/eta
       delta   <- -30*sm*sp*(sm-sp)^2/eta
       epsilon <- 30*sm^2*sp^2*(sm-sp)/eta
       zeta    <- (sm^6+4*sm^5*sp+6*sm^4*sp^2-6*sp^3*sm^3+6*sm^2*sp^4+4*sm*sp^5+sp^6)/eta
       r=c(p,alpha=alpha,beta=beta,gamma=gamma,delta=delta,epsilon=epsilon,zeta=zeta)
       class(r) <- "seventh"; 
       return(r)}
