.onAttach <- function(lib,pkg){
  pp <- parent.env(environment())
  unlockBinding("lo",pp) # allow package to write to the global variables
  unlockBinding("hi",pp)
  unlockBinding("locmax",pp)
  unlockBinding("NTRY",pp)
  unlockBinding("SMALL",pp)
  unlockBinding("zero",pp)
  unlockBinding("L0",pp)

  NTRY <<- 50    # NTRY and SMALL are used in many numerical iterations
  SMALL <<- 1.E-9

  packageStartupMessage(paste("Using AsymmetricErrors package ",packageVersion("AsymmetricErrors")))
  }
